aboutsummaryrefslogtreecommitdiff
path: root/src/namestore
diff options
context:
space:
mode:
authorLRN <lrn1986@gmail.com>2013-12-04 12:37:04 +0000
committerLRN <lrn1986@gmail.com>2013-12-04 12:37:04 +0000
commit51ecc6f201ac0377d524a8e862d6736b2a795509 (patch)
tree029e7fd307956d1d6cd5b52622eccff556ca516e /src/namestore
parentfa6e145f9a526315ef563833eb0b0ab8b5296179 (diff)
downloadgnunet-51ecc6f201ac0377d524a8e862d6736b2a795509.tar.gz
gnunet-51ecc6f201ac0377d524a8e862d6736b2a795509.zip
Skip gnunet-config-dependent tests when gnunet-config is missing
Diffstat (limited to 'src/namestore')
-rwxr-xr-xsrc/namestore/test_namestore_delete.sh9
-rwxr-xr-xsrc/namestore/test_namestore_lookup.sh9
-rwxr-xr-xsrc/namestore/test_namestore_put.sh9
3 files changed, 21 insertions, 6 deletions
diff --git a/src/namestore/test_namestore_delete.sh b/src/namestore/test_namestore_delete.sh
index 78f2cc03c..ec25f45ca 100755
--- a/src/namestore/test_namestore_delete.sh
+++ b/src/namestore/test_namestore_delete.sh
@@ -5,11 +5,16 @@ trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME` 17rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
13TEST_DOMAIN_PLUS="www.gnu" 18TEST_DOMAIN_PLUS="www.gnu"
14TEST_DOMAIN_DNS="www3.gnu" 19TEST_DOMAIN_DNS="www3.gnu"
15TEST_IP_PLUS="127.0.0.1" 20TEST_IP_PLUS="127.0.0.1"
diff --git a/src/namestore/test_namestore_lookup.sh b/src/namestore/test_namestore_lookup.sh
index 5a8e076b4..d1ac42544 100755
--- a/src/namestore/test_namestore_lookup.sh
+++ b/src/namestore/test_namestore_lookup.sh
@@ -5,11 +5,16 @@ trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME` 17rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
13TEST_IP_PLUS="127.0.0.1" 18TEST_IP_PLUS="127.0.0.1"
14TEST_RECORD_NAME_DNS="www3" 19TEST_RECORD_NAME_DNS="www3"
15which timeout &> /dev/null && DO_TIMEOUT="timeout 5" 20which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
diff --git a/src/namestore/test_namestore_put.sh b/src/namestore/test_namestore_put.sh
index bddefac49..1a1ca3a7d 100755
--- a/src/namestore/test_namestore_put.sh
+++ b/src/namestore/test_namestore_put.sh
@@ -5,11 +5,16 @@ trap "gnunet-arm -e -c $CONFIGURATION" SIGINT
5LOCATION=$(which gnunet-config) 5LOCATION=$(which gnunet-config)
6if [ -z $LOCATION ] 6if [ -z $LOCATION ]
7then 7then
8 LOCATION="gnunet-config"
9fi
10$LOCATION --version
11if test $? != 0
12then
8 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX" 13 echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
9 exit 1 14 exit 77
10fi 15fi
11 16
12rm -rf `gnunet-config -c $CONFIGURATION -s PATHS -o GNUNET_HOME` 17rm -rf `$LOCATION -c $CONFIGURATION -s PATHS -o GNUNET_HOME`
13TEST_DOMAIN_PLUS="www.gnu" 18TEST_DOMAIN_PLUS="www.gnu"
14TEST_DOMAIN_DNS="www3.gnu" 19TEST_DOMAIN_DNS="www3.gnu"
15TEST_IP_PLUS="127.0.0.1" 20TEST_IP_PLUS="127.0.0.1"